Subject: Re: Wisconsin Leps

From: [email-masked] (ET2JS)
Date: 3 Jun 1996 22:54:35 -0400

Jim,

I'm just an ameteur, so please help me out if I'm wrong.  You mention a
Canadian Tiger Swallowtail(Papilio canadensis).  Are Tigers  generically
Papilio or Pterouris?  Is this one of those foggy, obscure taxonomic
confusions?

Any help appreciated.

Joel